body {
  font-family: "Lucida Grande", "Bitstream Vera Sans", "Verdana";
  font-size: 13px;
}

#page {
  width: auto;
}

#content {
  width: auto;
  padding-right: 12em;
}

#header {
  float: left;
}

#footer {
  clear: left;
  padding: 0;

  padding-top: 1em;
  margin: 2em;
}

#navigation {
  float: left;
}

#after_navigation {
  clear: left;
}

#global_table {
  margin: 1em;
  white-space: nowrap;

  position: relative; 
  z-index: 10;
}

.big_top_cell {
  font-size: x-large;
  font-weight: bold;
  padding: 1em;

  border-top:  2px solid black;
  border-left: 2px solid black;
}

#select_all_cell, .column_name {
  font-size: large;
  font-weight: bold;
  border-bottom:  2px solid black;
  border-top:  2px solid black;
}

.table_cell, .empty_table_cell, .highlighted_table_cell,
#select_all_cell, .first_cell, last_cell, .column_name,
.empty_header_cell {
  margin: 0px;
  padding: 1em;

  border-left:  2px solid black;
}

.highlighted_table_cell {
  background-color: #3875d7;
  color: white;
}



.first_cell {
  border-left: 2px solid black;
}

.rightmost_dummy_cell, .rightmost_header_cell {
  border-left: 2px solid black; 
}



.bottom_dummy_cell {
 border-top: 2px solid black;
}



.legend_box {
  border: 2px solid gray;
  white-space: nowrap;
  overflow: auto;
  width: 150px;
  padding: 5px;
}

.admin_flag, .disabled_flag {
  font-size: large;
  font-weight: bold;
}

.admin_flag {
  color: red;
  background-color: white;
}

.disabled_flag {
  color: grey;
  background-color: white;
}

/* All of these elements are present in the header row */
.column_name,
.order_arrow,
.empty_header_cell, #select_all_cell, .rightmost_header_cell  {

  font-size: 12pt;
  height: 100%;
  margin: 0;
  padding: 0;
 
}

#select_all_cell {
  font-size: x-small;
  font-weight: bold;

  border-left:  2px solid black;
  
  padding: 0 0.5em 0 0.5em;
}


.order_arrow_image, .order_noarrow_image {
  font-size: 100%; 
  height: 2.5em; 
  position: relative; 
  z-index: 200;
}

.order_noarrow_image {
  width: 1em;
}

#select_all_cell, .empty_header_cell, .column_name, .rightmost_header_cell {

  background-color: white;

}

.column_name {
  line-height: 0; 
  background-color: transparent;
}

.checkbox_column_name {
  line-height: 0; 
  background-color: transparent;
  border-bottom:  2px solid black;
  border-top:  2px solid black;
  border-left: 2px solid black;
}


.column_name_background {
  height: 2.5em; 
  width: 10em; 
  position: absolute; 
  z-index: -1
}

.column_name_foreground {
  position: relative;
  top: -1em;
}


.rightmost_header_cell {
  width: 10em; 
  position: absolute;
  height: 5em;
}

.stopped, .started, .creating, .destroyed {
  background-color: #DDDDDD;
  font-weight: bold;
}

.started {
  color: #00FA00;
}

.stopped {
  color: red;
}

.creating, .destroyed {
  color: black;
}
